The Interop provider for Operations Manager 2007 may fail after upgrading to CU3 or any later updates

Vzťahuje sa na: System Center Operations Manager 2007 R2

Summary


Issue:

When you install System Center Operations Manager 2007 R2 Cumulative Update 3 (CU3) or any later updates, and then discover or re-discover a Linux or UNIX computer, the Linux or UNIX computer will be upgraded to the latest version of the Cross Platform agent (v265). But if that Linux or UNIX computer is also running the Interop provider for the Operations Manager 2007 R2 Connectors, the Interop provider will no longer work and you will get the following error:

No providers could be contacted. Could not get update events. Could not connect to any providers to retrieve update events.


Cause:

The upgrade forces a reinstall of the Operations Manager 2007 R2 Cross Platform agent. Once the upgrade occurs the directory structure no longer has any of the Interop provider folders or files. The provider package still shows as installed in the inventory of the OS but some key files are deleted.


Solution:

1.      Remove the Interop provider prior to running the upgrade of the Operations Manager 2007 R2 Cross Platform agent. See the install guide and look for uninstall instructions for your OS: http://technet.microsoft.com/en-us/library/dd795249.aspx.

2.      Once the Interop provider is removed, run the upgrade of the Operations Manager 2007 R2 Cross Platform agent. You can find upgrade instructions here: http://technet.microsoft.com/en-us/library/dd788997.aspx.

3.      Reinstall only the Interop provider package from RTM or any other post-RTM update (for Linux only: reinstall needs to be CU2 or any update after and not RTM). http://technet.microsoft.com/en-us/library/dd795249.aspx.